DEACTIVATE_SUPER(9)

NAME
deactivate_super - drop an active reference to superblock

SYNOPSIS

void deactivate_super (struct super_block * s);

ARGUMENTS

s   superblock to deactivate

DESCRIPTION

Drops an active reference to superblock, acquiring a temprory one if there is no active references left. In that case we lock superblock, tell fs driver to shut it down and drop the temporary reference we had just acquired.